﻿namespace Model.Utils
{
    /// <summary>
    /// Provides data for the ViewModel.MainViewModel.ExecuteOnMainThread event.
    /// </summary>
    public class ActionEventArgs : EventArgs
    {
        /// <summary>
        /// The action that should be executed on the main thread.
        /// </summary>
        public Action Action { get; }

        /// <summary>
        /// Initializes a new instance of the Model.Utils.ActionEventArgs class.
        /// </summary>
        /// <param name="action">The action that should be executed on the main thread.</param>
        public ActionEventArgs(Action action)
        {
            Action = action;
        }
    }
}
