﻿namespace Model.Utils
{
    /// <summary>
    /// Provides data for the Model.GameModel.FieldChanged event.
    /// </summary>
    public class FieldChangedEventArgs : EventArgs
    {
        /// <summary>
        /// The X position of the tile that has changed.
        /// </summary>
        public int X { get; }

        /// <summary>
        /// The Y position of the tile that has changed.
        /// </summary>
        public int Y { get; }

        /// <summary>
        /// The value the tile has changed to.
        /// </summary>
        public LowerFieldType Type { get; }

        /// <summary>
        /// Initializes a new instance of the Model.Utils.FieldChangedEventArgs class.
        /// </summary>
        /// <param name="x">The X position of the tile that has changed.</param>
        /// <param name="y">THe Y position of the tile that has changed.</param>
        /// <param name="lowerFieldType">The value the tile has changed to.</param>
        public FieldChangedEventArgs(int x, int y, LowerFieldType lowerFieldType)
        {
            X = x;
            Y = y;
            Type = lowerFieldType;
        }
    }
}
