﻿namespace Model.Utils
{
    /// <summary>
    /// Provides data for events that need one int type parameter.
    /// </summary>
    public class IntEventArgs : EventArgs
    {
        /// <summary>
        /// The value of the parameter.
        /// </summary>
        public int Value { get; }

        /// <summary>
        /// Initializes a new instance of the Models.Utils.IntEventArgs class.
        /// </summary>
        /// <param name="value">The int parameter attached to the event.</param>
        public IntEventArgs(int value)
        {
            Value = value;
        }
    }
}
