﻿namespace Model.Utils
{
    /// <summary>
    /// Provides data for the Model.GameModel.NewRound event
    /// </summary>
    public class NewRoundEventArgs : EventArgs
    {
        /// <summary>
        /// The lower layer of the new round.
        /// </summary>
        public LowerFieldType[,] LowerLayer { get; }

        /// <summary>
        /// The upper layer of the new round.
        /// </summary>
        public UpperFieldType[,] UpperLayer { get; }

        /// <summary>
        /// Initializes a new instance of the Model.Utils.NewRoundEventArgs class.
        /// </summary>
        /// <param name="lowerLayer">The lower layer of the new round.</param>
        /// <param name="upperLayer">The upper layer of the new round.</param>
        public NewRoundEventArgs(LowerFieldType[,] lowerLayer, UpperFieldType[,] upperLayer)
        {
            LowerLayer = lowerLayer;
            UpperLayer = upperLayer;
        }
    }
}
