﻿namespace Model.Utils
{
    /// <summary>
    /// Provides data for events that need to disclose the player type.
    /// </summary>
    public class PlayerEventArgs : EventArgs
    {
        /// <summary>
        /// The player parameter.
        /// </summary>
        public PlayerType Player { get; }

        /// <summary>
        /// Initializes a new instance of the Model.Utils.PlayerEventArgs class.
        /// </summary>
        /// <param name="player">The player parameter.</param>
        public PlayerEventArgs(PlayerType player)
        {
            Player = player;
        }
    }
}
