﻿namespace Model.Utils
{
    /// <summary>
    /// Provides data for the Model.GameModel.PlayerStatusChanged event.
    /// </summary>
    public class PlayerStatusEventArgs : EventArgs
    {
        /// <summary>
        /// The special power that's status changed.
        /// </summary>
        public SpecialPower Power { get; }

        /// <summary>
        /// True, if the special power should be showed, otherwise false.
        /// </summary>
        public bool Show { get; }

        /// <summary>
        /// The player whose status changed.
        /// </summary>
        public PlayerType Player { get; }

        /// <summary>
        /// Initializes a new instance of the Model.Utils.PlayerStatusEventArgs class.
        /// </summary>
        /// <param name="power">The special power that's status changed.</param>
        /// <param name="show">True, if the special power should be showed, otherwise false.</param>
        /// <param name="player">The player whose status changed.</param>
        public PlayerStatusEventArgs(SpecialPower power, bool show, PlayerType player)
        {
            Power = power;
            Show = show;
            Player = player;
        }
    }
}
