﻿namespace Model.Utils
{
    /// <summary>
    /// Provides data for events that correspond to a certain position.
    /// </summary>
    public class PositionEventArgs : EventArgs
    {
        /// <summary>
        /// The X position of the event.
        /// </summary>
        public int X { get; }

        /// <summary>
        /// The Y position of the event.
        /// </summary>
        public int Y { get; }

        /// <summary>
        /// Initializes a new instance of the Model.Utils.PositionEventArgs class.
        /// </summary>
        /// <param name="x">The X position of the event.</param>
        /// <param name="y">The Y position of the event.</param>
        public PositionEventArgs(int x, int y)
        {
            X = x;
            Y = y;
        }
    }
}
