﻿namespace Model.Utils
{
    /// <summary>
    /// Provides data for the Model.Player.StatusChanged event.
    /// </summary>
    public class StatusEventArgs : EventArgs
    {
        /// <summary>
        /// The special power that's status changed.
        /// </summary>
        public SpecialPower Power { get; }

        /// <summary>
        /// True, if the special power should be showed, otherwise false.
        /// </summary>
        public bool Show { get; }

        /// <summary>
        /// Initializes a new instance of the Model.Utils.StatusEventArgs class.
        /// </summary>
        /// <param name="power">The special power that's status changed.</param>
        /// <param name="show">True, if the special power should be showed, otherwise false.</param>
        public StatusEventArgs(SpecialPower power, bool show)
        {
            Power = power;
            Show = show;
        }

    }
}
