﻿namespace Test
{
    [TestClass]
    public class StackableEffectTest
    {
        int applyCounter, removeCounter;

        private Action apply = null!;
        private Action remove = null!;

        [TestInitialize]
        public void Initialize()
        {
            applyCounter = 0;
            removeCounter = 0;
            apply  = () => ++applyCounter;
            remove = () => ++removeCounter;
        }

        [TestMethod]
        [DataRow(100)]
        [DataRow(500)]
        [DataRow(1000)]
        public void TestConstructor(int interval)
        {
            Assert.AreEqual(0, applyCounter);
            Assert.AreEqual(0, removeCounter);
            StackableEffect se = new(interval, apply, remove);
            Assert.AreEqual(1, applyCounter);
            Assert.AreEqual(0, removeCounter);
            Thread.Sleep(interval + 50);
            Assert.AreEqual(1, applyCounter);
            Assert.AreEqual(1, removeCounter);
            Thread.Sleep(interval * 2);
            Assert.AreEqual(1, applyCounter);
            Assert.AreEqual(1, removeCounter);
        }
    }
}
